fotoxx change log
=================

2011.03.01  v.11.03
+ Composite functions Pano, HDR, HDF and Stack run 2-3 times faster.
+ Printing: intermediate file was changed from .jpeg to .tiff to correct
  slight blurring of some color edges in high-resolution images.
+ New art function: create color outline drawings.
+ New function: adjust monitor gamma with live feedback.
+ Plugins: add external image editors to Fotoxx menu: Fotoxx edits may 
  precede and follow, [undo] / [redo] buttons work, etc.
+ Smart Erase: can use a tighter area around the object to be erased.
+ Panorama: the math was simplified to a pure cylindrical projection.
+ Select Area: added select for rectangular and elliptical areas.
+ Notify user of delay for thumbnail creation when new images are found.
+ New slide show transition: ellipse expanding from the center.
+ Select Area: brighter outlines for freehand draw and follow edge.
+ Unbend: panorama curve is more accurately flattened.
+ bugfix: crash reading 4-channel tiff file in strip format.
+ bugfix: panorama crash if image overlap reaches zero during alignment.
+ bugfix: crash if trying to save to a .gif file (converts to .jpg).
+ bugfix: fixed small memory leak in metadata viewer.

2011.02.01  v.11.02
+ Retouch functions can be incrementally "painted" with the mouse, with
  variable radius and strength.
+ Area cut and paste: edge effects are more effectively suppressed and
  the pasted area/object can be rotated as well as resized.
+ Curve edit (used in image retouch functions): curve data can be saved 
  to a file or loaded from a file as part of the curve edit dialog.
+ New function: Smart Erase: erase power lines and other small defects
  by replacing them with pixels from the neighborhood.
+ New functions: Make Image Collection and Open Image Collection. Images
  may be assigned to named collections. A collection can be recalled and 
  used for a slide-show, export, etc. 
+ New function: Combine photos of the same subject taken at different 
  moments, remove tourists, cars, etc. that come and go.
+ Panorama pre-align was made a little easier (check the user guide).
+ Tag Edit and Tag Management were separated to simplify operation.
+ New 1-time function: Tools > Fix Tag Delimiters: make tags (keywords) 
  compatible with Photoshop. Other photo managers may not be compatible.
  This is optional and can be done at any time without affecting Fotoxx. 
+ Art > Dots: dot rows are offset by 1/2 dot pitch, which looks better.
+ Expand Brightness Range: use sliders and show brightness histogram.
+ 1-time function to rebuild thumbnails now has a fast incremental mode.
+ Obsolete functions removed: convert old tag and parameter formats.
  (if you have startup problems, delete /home/<user>/.fotoxx).
+ Bugfix: Edit Info function could not be canceled before using it.
+ Bugfix: Edit Info (metadata) limit raised from 100 to 1000 characters.
+ Bugfix: Stop meaningless EXIF diagnostic when a blank image is created.
+ Bugfix: Annotate crash if font set to tiny and then increased.
+ tags_index file was renamed to search_index

2011.01.07  v.11.01.2
+ Bugfix: select whole image was not working. What went wrong between
  testing and release is a mystery, but now it is fixed.

2011.01.06  v.11.01.1
+ Revise startup warnings about thumbnails and tag index file to make
  them less intrusive and perhaps easier to understand.
+ French translation was updated.

2011.01.01  v.11.01
+ Select Area: Select the whole image and use overall brightness or a 
  single RGB color brigntness to control the application of a retouch 
  function. This allows tone mapping, noise reduction, etc. to apply
  in darker image areas but not brighter areas (or the inverse).
+ New art function: make a dot matrix image (à la Roy Lichtenstein).
+ Slide Show was given a few dubiously useful but cute image transition 
  modes (fade-out/fade-in and various kinetic image replacement methods).
+ Open Recent File: the 100 most recent image files are presented in a 
  gallery window to make it easier to go back to a desired image.
+ If grid lines are active when an image is printed, the grid lines will
  also appear on the printed image.
+ The status bar shows if a select-area is active or a function is busy.
+ A new blank image can be created and used as a basis for mashups
  using cutouts from other images plus annotation text.
+ After a first-time install, the user is now advised to run the 1-time
  indexing program so that image searches will function correctly.
+ Batch add and delete tags have a popup window to monitor progress.
+ Search Images output (gallery window) is sorted to follow the physical 
  organization of the underlying files. Groupings and sequences implied 
  by the file organization (directories and file names) are preserved 
  in the generated window of thumbnail images. This was always a claimed
  fotoxx capability, but was not always working as advertised. 
+ Bugfix: image was sometimes not being resized to fit window after a
  size change (trim, resize), possibly giving a false impression.
+ Bugfix: inverting a select area did not work with some edit functions.

2010.12.07  v.10.12.1
Three minor GUI improvements:
+ pixel edit: notify if select area is active to avoid user confusion.
+ fix inconsistent behavior of select area draw and follow edge.
+ bugfix: "Save As" with a name like "2010.12" resulted in "2010.jpg".

2010.12.01  v.10.12
This release has many small user interface improvements and bug fixes.
+ Switching the mouse between dialogs and main window was simplified,
  making it easier to zoom and pan when a dialog owns the mouse or to
  control two active dialogs alternating ownership of the mouse.
+ Select Area by color: in firewall mode, pixels within the mouse radius
  are unconditionally selected. Left drag now works as an un-select.
+ Select Area by freeform drawing: drawing lines along the edge of the 
  image is no longer so tedious.
+ The HDF "paint" mode was made more responsive for slow CPUs.
+ Image captions (IPTC: Caption-Abstract) are now searchable (along 
  with tags, dates, stars, comments, file names). Image captions are 
  searched for given words. Run Tools > Rebuild Tags Index to update
  the search index (one-time conversion job).
+ Data functions (EXIF/IPTC/etc. tags, comments, captions) were moved
  into one menu. The "big text" functions (comments, captions) were 
  made easier to view and edit with a conventional text edit interface.
+ Info > Search Images: searching file names works without wildcards,
  (e.g. search "rosi" matches /xxx/rosi/xxx.jpg and /xxx/Rosixxx.jpg).
+ Info > Search Images: date range default month/day is 01/01 for low
  limit and 12/31 for high limit, so "2009 to 2010" is two full years.
+ Info > Search Images: "match any" and "match all" can be specified
  separately for tags, comments/captions, and file names.
+ Rotated images are no longer automatically uprighted. Instead, use 
  the R or L key to permanently fix as needed. This saves time for 
  every image opened since the EXIF data need not be read.
+ File > Open Recent File: opens the combo box file list automatically.
+ File > Open Previous File: opens most recent file that still exists.
+ File > Save As with "new version" selected: the version naming was
  changed to reduce the risk of conflict with a user file naming system.
  Format: originalname.jpg >> *.v01.jpg >> *.v02.jpg >> etc.
+ Buttons [Prev] and [Next] more reliably find previous or next files
  even if files have been deleted or renamed outside Fotoxx.
+ Dialogs that need significant time now show an hourglass, even when
  the mouse cursor stays inside the dialog window.
+ Tools > Clone: screen is split 50/50 between the two instances.
+ Transform > Trim: dragging the margins is smoother for slow CPUs.
+ Zoom: limit was raised from 200% to 400%. This makes it easier
  to do a very precise area selection.
+ Annotate Image: text can be optionally outlined with a different color.
+ The user guide was audited and many small corrections were made.
+ Bugfix: quotes in EXIF/IPTC/etc. data were replaced with escaped 
  quotes to prevent the exiftool command from failing.
+ Bugfix: Area copy and paste: fixed small edge defects that sometimes
  happened when the pasted area was reduced in size.

2010.11.08  v.10.11.2
+ Bugfix: Trashing an image deleted User Comments for other images in the 
  tag index file, causing the Search function to fail for comments search.
  Run Tools > Rebuild Tags Index if you are using the comments feature.

2010.11.01  v.10.11.1
+ Bugfix: crash if fotoxx start and quit without opening an image file.

2010.11.01  v.10.11
+ Search Tags: a simpler alternative is provided for those not wanting to
  maintain an elaborate image tag system: search based on user comments 
  and/or image folder and file names. Match on any or all search words 
  entered, with optional wildcard matching for folder and file names. 
  NOTE: Run Tools > Rebuild Tags Index for this feature to work.
+ Edit functions operating within a small area were made more responsive 
  for slow CPUs: Warp Area, Paste Area, Annotate Image, Edit Pixels.
+ Annotate Image: both text and background color and transparency can be
  specified. Traditional-looking watermarks can be made. Annotation data 
  can be saved as a file, so annotations can be kept and re-used.
+ Grid lines: either line count or line spacing can be specified. Line
  counts are independent of image size. G-key toggles grid on/off.
+ New function: Warp Image (linear): an alternative way to compensate
  for perspective distortions. Change line slopes without curving them.
+ Pixel edit now works within a selected area. This makes it easy to paint 
  inside an area using an opaque or transparent color and a large brush.
+ Select Area by Color: optional "firewall" mode: already-selected pixels
  become a barrier to the propagation of newly-selected pixels.
+ Buttons in Select Area dialog were made available as menu functions
  with their own F1 help topics (a small convenience improvement).
+ Dialog boxes now open near the upper right corner of the main window
  instead of the middle (a small convenience improvement).
+ File > Save As: retain the same current file and image set if saving 
  to a different directory. Otherwise make the new file the current file 
  and add it to the current image set (directory or tag search results)
  (a small convenience improvement).
+ New function: File > Open Previous: go back to the previous file, 
  also if in another directory (a small convenience improvement).
  (File > Open Recent is unchanged: choose from last 30 files).
+ Bugfix: missing or corrupted parameters file could cause a crash.

2010.10.16  v.10.10.2 and 10.10.3
+ Bugfix: restored lost F1 links to user guide.
+ Bugfix: trim button [invert] did not work. [gold] ratio was inverted.
+ The Dutch translation was updated.
+ Edit EXIF User Comments and Annotate Image (write text on image) were 
  made into separate functions. The old interface was confusing.
+ Annotate on slow (Atom) processors now works acceptably fast.
+ Grid lines dialog revised to use line spacing instead of line counts.
+ Trim ratio buttons are customized with a GUI instead of a text file.
+ Window repaint speed (expose event) was doubled (no impact on edits).

2010.10.02  v.10.10.1
+ Bugfix: Annotate function was missing the translation capability.
+ Annotate on slow (Atom) processors was made faster, but still slow.
+ The Italian translation was updated.

2010.10.01  v.10.10
+ New function Annotate Image: Text can be edited and viewed in a live 
  window updated with each image opened, or written directly on the 
  image using any font, size and rotation.
+ New function E-mail: select multiple images, downsize within specified 
  limits, and e-mail using the preferred e-mail program.
+ A small improvement was made in the visibility of grid lines.
+ Max. working threads was raised to 6 (newest CPUs have up to 6 cores).
+ Image trim (crop): the preset aspect ratio buttons can be customized
  by editing a parameters file. 
+ More parameters are saved and restored across sessions: trim size, 
  grid lines, e-mail size, edit resize, batch resize.
+ The word "mass" in menus and help text was replaced with "batch".

2010.09.10  v.10.9.1
+ Chinese translation was updated.
+ Bugfix: save-as: file names like xxx.yyy.jpg got truncated to xxx.jpg.
+ Usability improvement: A set of files generated by searching tags is no 
  longer discarded if a member file is opened, saved, renamed, or trashed.

2010.09.01  v.10.9
+ The Portuguese translation was updated.
+ New: Stack function: combine multiple images of the same subject for 
  noise reduction. Use mean or median pixel RGB values and optionally 
  discard the most extreme RGB values (noisiest) from the mix.
+ New: make a B/W or color negative, or make a positive from a negative.
+ New: delete or replace a tag for selected or all images.
+ The brightness/contrast curve edit function was revised to better
  preserve detail in the brightest image areas.
+ The Retouch curve edit functions are generally 30% faster.
+ The interplay between the main window and gallery window was revised.
  The gallery window overlays the main window, with the current image in
  the top row. When an image is clicked in the gallery, the main window 
  overlays the gallery window, showing the selected image. Both windows
  are still present and can be dragged apart if wanted. The perception
  is that they both alternately occupy the same window.
+ The functions Burn CD/DVD, Mass Add/Delete Tags, and Mass Resize can 
  now be used together with Search Tags: use Search Tags to establish a 
  set of images from which the files to mass-process can be selected.
+ Select Area dialog: buttons added: [enable] [disable] [invert]. 
  This makes editing areas a bit faster than using separate menus.
+ A small improvement was made in the Select Area follow-edge algorithm.
+ Default extensions for "Save As" were changed from .jpeg and .tiff to
  .jpg and .tif because some programs don't recognize the longer forms.
+ "Save As" sets the current file to the newly saved file instead of 
  remaining at the prior file. This makes fotoxx work more like other
  apps. Use the "recent file" menu to go back if wanted. Any edits are 
  still active and can be undone or further edited and saved again.
+ HDR/HDF: auto-trim the edges where all input images do not overlap.
+ Curve editing was generally revised not to truncate curves beyond the 
  first and last anchor points. Curves are projected to the graph limits.
+ Internal cleanup: generalize the saving and restoring parameters across
  sessions. Add mass-resize width/height to the saved parameters.
+ Bugfix: Sharpen: gradient method: threshold did not work correctly.
+ Bugfix: rounding error in HDF was causing 1-pixel alignment errors.
+ Bugfix: gtk function call within a thread was causing a (rare) crash.
+ Bugfix: huge tag in iptc:keywords caused a loop in tag editing.

2010.08.18  v.10.8.4
+ Bugfix: EXIF etc. was not all being copied to an edited file after
  the prior modification (10.8.2) to include ICC Profile data.
+ Bugfix: if [prev] or [next] button was pressed rapidly in succession,
  a race condition could lead to an application lockup.

2010.08.08  v.10.8.3
+ The Italian translation was updated.

2010.08.06  v.10.8.2
+ Bugfix: ICC Profile data was lost when a file was edited.

2010.08.05  v.10.8.1
+ The German translation was updated.
+ Support more TIFF formats: most formats <= 8-bits and 16-bit integer.
+ Edit tags: GUI layout improved slightly for clarity.

2010.08.01  v.10.8
+ A Portuguese translation was added.
+ New function: mass resize images (for website upload, e-mail, etc.).
+ The new Linux standard trash is used for trashed images. If this is
  not available, the old method is used (trash folder on desktop).
+ Select Area: Draw + follow edge works better for jagged edges.
+ Select Area: Select by color improved: easier to expand selection
  without leaving unselected "islands", and better control of selection.
+ Thumbnail gallery: added a "list view" option (without thumbnails).
+ HDR/HDF/pano alignment/warp algorithm can handle larger image offsets.
+ HDF interface for fine alignment was made more intuitive: the image 
  mapped to the mouse position is always the one being warped.
+ Live help via F1 key is now available for all functions.
+ The dialog to view and edit EXIF data is updated for each image opened, 
  so that a given EXIF keyword can be viewed, added, or changed quickly
  (especially good to view or add text comments for a series of images).
+ Mass add tags: select target files from the image gallery window.
+ Save-as with "new version" selected: look for all file versions 
  (not only the version being edited) and use the highest + 1.
+ Minor improvement in warp area algorithm.
+ Bugfix: convert RAW: popup report sometimes omitted a converted file.
+ Bugfix: an image saved as tiff-8 was actually being saved as tiff-16.
+ Bugfix: sporadic crash if a selected area touches an image edge.
+ Bugfix: the color of all edit curves could change sporadically.
+ Bugfix: image_gallery(): empty directory + [parent] button >> crash.
+ Bugfix: HDR/HDF sporadically showed a partially black image.

2010.07.08  v.10.7
+ The composite image functions (HDR, HDF, Panorama) were reworked to 
  extend functionality and improve the user interface. The "current" 
  image must no longer be the first image selected or even included. 
  There is more use of multiple threads to utilize multiple processors.
+ Panorama: up to four images can be joined (previously only two). The 
  order can be changed during pre-alignment by dragging the images.
+ Panorama: the brightness and color balance can be changed for any input
  image after the panorama is completed. The other images can be matched
  automatically and/or manually adjusted. 
+ HDF: up to 9 images can be joined (previously only 2). After automatic 
  alignment is complete, the images can be dragged and warped to tweak 
  their alignments if needed. This can compensate for camera movement 
  and for image size differences from different focal lengths.
+ HDR warps the images if needed to make a more precise alignment. This 
  compensates for camera movement or rotation betweem photos, which can
  cause distortions (the image scale increases with increasing distance 
  from the center of the camera sensor). A greater amount of shift or 
  rotation between images can be handled with more accuracy.
+ Bugfix: after reporting an error, mass-rename tried to run anyway.
+ Mass-rename: get rid of the "-" separator between the base name and 
  sequence number. The user can supply whatever is wanted, or nothing.
+ Startup dependency check was changed from ufraw to ufraw-batch.

2010.06.08  v.10.6.1
A subtle bug in panorama image alignment was fixed. This caused a small
shift at the joint near the center of the image, especially if there
was a significant rotation, horizon shift, or lens distortion.

2010.06.07  v.10.6
+ Search Tags: be consistent: remove tags from search list with mouse 
  click and eliminate the [clear] button.
+ HDR: selected images to combine need not include the current image.
+ File Save-As: "new version" check box: save the image with a new version 
  number (makes it easier to save an edited image and keep the original).
+ Bugfix: edit tags "admin mode" could be ON when the checkbox was OFF.
+ Bugfix: Gallery window sometimes not fully rendered or has leftovers
  from previous display (was easy to compensate, but still annoying).

2010.06.02  v.10.5
+ A Dutch translation was added.
+ Thumbnail browser is faster and smoother (cpu load reduced by 60%). 
+ Tags now have categories (people, places, events...) to help organize
  them and to find and select tags more quickly during image editing.
  This improves the practicality of having hundreds of tags.
+ Edit Tags dialog has an [apply] button and a [next] button.
  [next] = [apply] + proceed to the next image.
+ Rebuilding thumbnail files and the Tags Index file was separated into 
  two independent functions and moved to the Tools menu. These are 1-shot 
  utilities to run if image directories and files have been reorganized.
+ Turned images are uprighted automatically when an edit is started or 
  an image is added to an HDR/HDF/panorama. Formerly this was done only 
  for image viewing. If this is wrong (EXIF data wrong), then the 
  auto-rotate must be reversed manually.
+ 2010.06.03, Swedish translation updated, no version change.

2010.05.24  v.10.4
+ Panorama: get lens focal length from EXIF data, if available
  (lens distortion, if significant, must still be adjusted manually)
+ Thumbnail browser made faster and easier for large directories.
+ Thumbnail browser max. size increased from 256 to 512 pixels.
+ "Essentials" section in user guide - for those who hate user guides.

2010.05.17  v.10.3.1
+ New GUI translations: Russian, Swedish, Chinese (updated).
+ Two shortcut keys added: T = Trim (Crop), B = Brightness/Color tune.
+ Gridlines function extended: separate x and y line counts, independent 
  of image size, held constant during interactive trim (crop) function.
+ Trim: width/height ratio can be inverted with a button.
+ Minor bugfix: trim was not always holding the set width/height ratio.
+ Minor bugfix: if panorama was started with a zoomed image, the image
  displayed too small during the initial alignment stages.
+ Bugfix: zoom + some edit functions caused a width/height distortion.
+ Bugfix: print function: resolution increased from 72 to 300 dpi.

2010.05.06  v.10.3
+ A German user guide has been added but not yet complete.
+ Replace fat GTK dialog completion buttons with thin ones to save space.
+ Undo/Redo faster: use saved image instead of repeating edit function.
+ Add focal length (35mm equivalent) to View EXIF basic data.
+ Add missing F1 context help to White Balance function.
+ Mass rename now has a status/progress window.
+ Bugfix: rename functions: keep original file date and owner.
+ Bugfix: two minor memory leaks were plugged.
+ Bugfix: delete EXIF tag failed for filenames containing blanks.

2010.05.02  v.10.2.1
+ A Swedish translation of the GUI was added.

2010.04.23  v.10.2
+ Record a history of edit functions applied, write to EXIF data.
+ View EXIF window is live, reflects changes or new file opened.
+ New function: add or revise EXIF data (also IPTC, etc.).
+ New function: delete EXIF data, a specific key or all data.
+ Toolbar undo/redo buttons now work within and between edit functions.
+ Tone mapping was made 30% faster on a four-core processor.
+ Tone mapping tracks progress (helpful for slow computers).
+ Blend-width now works for the Tile function done within an area.
+ Undo/redo works for white balance function.
+ Bugfix: minor memory leak.
+ Bugfix: the print function was resetting status like save/as. 

2010.04.14  v.10.1.1
+ Bugfix: crash on launch if saved state file was from a v.9 release.
+ Bugfix: pano align image too small if starting from a zoomed image.
+ Bugfix: for installation in /home/<user>/ the launcher did not work.
+ Convert RAW files made 30% faster on multi-core processors. The gain
  is limited because the ufraw program already uses multiple threads.

2010.04.12  v.10.1
+ Tone-mapping was made to react live to the area blend-width slider.
+ The scaling of the tone-map edit curve was improved to better match
  the actual contrast range of the image being edited.
+ Tone mapping was made about 50% faster, esp. for 1-2 core processors.
+ The brightness ramp function was made to work within a selected area.
+ If an edit is started and a select area is defined but not finished or
  was disabled, the user will be warned.
+ New function: clip low/high brightness levels and expand the middle.
+ Trim: add buttons to select from popular width/height ratios.
+ Trim: if the selected area is moved off the image edge, the rectangle
  is reduced to maintain the desired width/height ratio.
+ The function busy indicator (clock cursor) was made more obvious.
+ Changing the GUI language from the GUI was simplified.

2010.04.05  v.10.0
+ The EXIF key for user-defined tags was changed to be compatible with 
  most other (Windows) programs that use tags. A conversion function 
  is provided which should be run before any image editing is done. 
  See the README file before using fotoxx v.10 (menu: Help > README).
+ The utility to index tags and thumbnails now removes obsolete thumbnail
  files left behind when images get deleted or moved elsewhere.
+ Bugfix: Prevent thumbnails of thumbnails from being created 
  (also prevent thumbnail images from being opened or edited).
+ Bugfix: slow memory leak in image_thumbfile().

2010.03.26  v.9.9
+ Tonemap gradient method was made easier to use and a litter faster.
+ The earlier tonemap functions have been removed because the gradient
  method is stronger and more flexible than any of them.
+ Select Area copy and paste has been extended to allow many areas that
  can be saved as files and read back later to plug into other images.
+ Warn about missing program exiftool only if image edit is initiated.
+ Bugfix: tonemap sometimes did not work within a selected area.
+ Makefile was made more friendly for distro packagers.

2010.03.22  v.9.8.1
+ Bugfix: using [x] to cancel tonemap-local2 caused a menu lockout.

2010.03.20  v.9.8
+ Tone mapping gradient method was added, replacing a weaker method.
+ The FreeImage dependency was removed, reducing supported image types
  to those supported by pixbuf and libtiff: tiff-1/8/16, jpeg, png, bmp.
  This will simplify installing from source and also package making.
+ A 3rd sharpen method was added: amplify brightness gradients.
+ Bugfix: make F1 context help work correctly for the select area dialog.
+ The select area outline color can be toggled red/green/black.

2010.03.05  v.9.7
+ Revise window update logic to stop CPU hog with fvwm window manager.
+ Curve edit: don't lose grip on node when dragging at high speed.
+ Select area: simpler and more flexible interface, multiple areas, 
  combine line-drawing and color selection, unselect parts of areas.
+ Paste area: always paste within the visible window, don't lose 
  grip when dragging a pasted area at high speed.
+ Bugfix: burn CD/DVD: when editing the list of files to burn, the
  mouse position was inaccurate, causing wrong file to be selected.
+ Limits for number and and size of tags were doubled.
+ New function: add multiple tags to many images at once 
  (e.g. for the initial tagging of many photos of the same subject).
+ New function: rename many files at once using base name + sequence no.

2010.02.21  v.9.6
+ Tonemap: calculations are >10x faster.
+ Sharpen (unsharp mask): calculations are >2x faster.
+ Added another tone-mapping method.
+ Convert RAW files: don't let progress window hide behind main window.
+ Workaround for gtk_file_chooser() bug: stop auto-select irrelevant file.
+ Gallery window: simplify navigation to another folder.
+ Use .jpeg instead of .png for intermediate print file - much faster.
+ Select area logic simplified, preparation for future add/subtract areas.

2010.02.01  v.9.5
+ Curve edits: stop unintended node creation with rapid mouse drag.
+ Tonemap 2: use full size image for calculations (slower but better).
+ Tomemap 3: new function: enhance local contrast with halo suppression.
+ Grid Lines: new function: grid lines for unbend/etc. image alignment.
+ HDR (2 images) was removed - new HDR (2-10 images) made it redundant.
+ Bugfix, file save-as: did not always reflect user file type selection
  in dialog widget (but file was saved with correct type).

2010.01.18  v.9.4
+ File save-as: displayed file type changes with user selection.
+ Image files can now be printed using conventional GTK print functions.
+ Bugfix: killing a running function could cause later malfunctions.
+ Brightness/color (curve edit) dialog was made more compact.

2010.01.12  v.9.3
+ New function: image warp with affine transformations.
+ New function: vary brightness across the image (fix vignetting etc.).
+ Improved initial blending of 3 or more HDR input images.
+ Brightness histogram has more resolution and an x-axis scale.
+ Rotate was made 3x faster (affine transform instead of trig functions).
+ File save-as dialog was made more clear about file type.
+ Makefile: desktop-menu and manpage made into separate targets.

2010.01.01  v.9.2
+ Select area by color was made easier - optional radius of action
  to quickly incorporate excluded "islands" or push-out area edges.
+ Area edge calculation and blending was made into a separate dialog.
+ The defog function was removed - it duplicated the brightness and
  color saturation curves, and also tone mapping gets better results.
+ Blur function: minimum blur reduced to 0.5 pixels (barely perceptible).
+ Bugfix: tone mapping + edge blend: pure black pixels became white.
+ Bugfix: the edge of a mouse-selected area which also hugs an image 
  edge was not being omitted for the purpose of edge blending.

2009.12.24  v.9.1
+ Bugfix: sharpen via unsharp mask was ignoring "threshold" input.
+ new function: tone mapping - used to improve local contrast and
  detail in image areas that are too dark or washed out.

2009.12.14  v.9.0
+ HDR can now merge up to 10 images - the user can manipulate image 
  contributions while monitoring a live output image.
+ Tools > Convert RAW Files - revised to allow selection of one or 
  many files using a standard file chooser dialog. 
+ File > Open RAW - removed. Use Convert RAW Files and select a 
  single file, which is then converted and opened.
+ Context help via F1 key was added to most dialogs - show relevant 
  section of the user guide in a popup window which runs parallel.

2009.12.01  v.8.8
+ Bug fix: tag search by date could omit the first date in a range.
+ New edit function added: flip image vertically or horizontally.
+ Edited files can now be saved as PNG in addition to JPEG, TIFF-8/16.
+ Select area by mouse: algorithm changed to improve gap visibility.
+ Select area edge calculation: over 10x faster for large areas.
+ Copy and paste area: a copied area can be resized and edge-blended
  with the background image at the time it is pasted.

2009.11.25  v.8.7
+ Area selection using the mouse was extended. The user can switch back
  and forth among three methods: connect lines from point to point using
  mouse clicks (as before), drag the mouse for freehand line drawing, or 
  click or drag near an edge to follow the edge. Use right click to undo 
  mistakes or right drag to erase lines before re-drawing them.
+ Color select: calculation of distances for edge blending is much faster.
+ New: copy a selected area from one image and paste anywhere in another.
+ Bug fixes: the latest Ubuntu (9.10) revealed two new problems so far.
  A GDK graphic context used by >1 windows can get their sizes mixed-up.
  The program exiftool no longer accepts a date without a time appended.
  Fotoxx was adjusted to accept both the new and old behaviors.

2009.10.29  v.8.6.2
+ Bugfix: crash if gallery folder opened after fresh install.

2009.10.25  v.8.6.1
+ Area blend width: notify user if edge calculation is missing.
+ Ignore mouse click if mouse moved between button down and up.
+ Bugfix: pano align, small image shift on right side from joint.

2009.10.13  v.8.6
+ Auto white balance function added.
+ One-click red-eye success rate raised from 47/54 test cases to 52/54.
  (drag method is 100% but needs more time and care).
+ HDR: convenience buttons added to final adjustment dialog.
+ User Guide: Spanish translation added for quick guide section.
+ Bugfix: zfuncs.cpp, image_navigate(): crash if null input file.
+ Bugfix (cosmetic): zoom then edit caused apparent aspect ratio change.

2009.10.07  v.8.5.2
+ Bugfix: looping in retouch function if colors are over-saturated.

2009.10.02  v.8.5.1
+ Bugfix: crash in invert area function (affects 32-bit builds).
+ Improved documentation for select area edge calculation and blend width.
+ Updated French translation.

2009.10.01  v.8.5
+ New: select area by color. Click to select a contiguous area matching 
  the clicked color within a range. Click or drag to accumulate new areas. 
  Right-click undo. Edit functions can be used within the selected area.
+ New: disable selected area, leaving it available for re-use or re-edit.
+ Panorama: better compensation for small misfits caused by relative 
  horizon difference or rotation in the images being combined.
+ Panorama: auto search for camera parameters made more robust.
+ Reduce noise, new method added: flatten outliers based on ratio of
  mean deviation to the standard deviation of neighboring pixels.
+ Blend-width scale made non-linear for finer control of small values.
+ Image gallery: open folder starts with parent of current directory.
+ Bugfix: clone instance has English GUI instead of original language.

2009.09.22  v.8.4.3
+ Bugfix: crash in unbend function.

2009.09.18  v.8.4.2
+ French translation update.
+ Changes in make and man page for debian conformance.
+ Select area outline made easier to see (gray background).
+ Bugfix (zfuncs): crash if mouse select from empty image gallery.

2009.09.14  v.8.4.1
+ GUI: Italian translation was added.
+ Some missing translation calls were fixed.
+ Trim: faster and better user interface.

2009.09.12  v.8.4
+ Slide Show: add auto interval in addition to KB control.
+ Change cursor to clock icon during long computations
  (improve user feedback, especially for slow notebooks).
+ Trim: darken margins to remove for better visibility.
+ Trim: allow fixed aspect ratio and change margins accordingly.
+ Index tags and thumbnails: now works incrementally (much faster).
+ Bugfix: axis-lines were not erased after unbend function.
+ Bugfix: Save-as file was not added to recent files list.

2009.09.01  v.8.3
+ Improved select area interface: adjust edges of polygon anywhere.
+ Overlay lines and ellipses are easier to see (reversed colors).
+ Implemented both [save] and [save as]: [save] updates original file
    with no questions asked. [save as] is the usual cautious dialog.
+ New KB shortcuts: Ctrl+s: save  Ctrl+S: save as  Ctrl+q: quit.
+ Improved logic for detecting unsaved changes (fewer user queries).
+ Pixel edit: visible brush outline should help speed and precision.
+ HDF: visible brush outline should help speed and precision.
+ Rotate: [undo trim] button added.
+ Bugfix: rotating an image with the L/R keys and then editing would
    sometimes result in image distortion (changed width/height ratio).
+ Bugfix: edit tags + file save lost the tag updates.
+ Bugfix: rotate trim was being lost when dialog exited.
+ Bugfix: better recovery if pixel edit undo memory limit is reached.

2009.08.26  v.8.2.2
+ Bugfix: rotate +90, +1, trim (all in same dialog) caused a crash.

2009.08.24  v.8.2.1
+ Bugfix: temp file left in /home/user/.fotoxx/

2009.08.24  v.8.2
+ Save recent files list across sessions and improve user interface.
+ Defog function added - reduce fog/haze in target image areas.

2009.08.18  v.8.1
+ Bugfix: saving a file to itself (same file) caused loss of EXIF data.
+ Bugfix: use of zoom+ would sometimes display a smaller image.
+ Corrected location of man page for install in user-owned directory.
+ Improved pano auto-search for lens parameters.
+ Tag edit: dating a series of images was made easier: [use last] button.
+ Tag edit: allow date approximations, e.g. 2009 or 2009.08.
+ New convenience function: open file from list of 40 recent files.
+ Make install: create menu entry unconditionally (make launcher removed).
+ Make clean added, equivalent to make uninstall.
+ The Chinese and French translations were updated.

2009.08.03  v.8.0
+ Standard man page added (thin, with reference to user guide).
+ License changed from GPL v2 to GPL v3
+ Warp Image algorithm improved - should be easier to get desired shapes.
+ New function: High Depth of Field (HDF): combine photos with near and 
  far focus into a composite image with both near and far objects in 
  focus (experimental: basically works but needs improvement).

2009.07.27  v.7.8
+ Pixel edit function was upgraded: 
   + suspend/resume to free mouse for zoom or scroll.
   + [undo last] button - remove error and continue editing.
   + more flexible brush transparency controls for paint and erase.
+ Catch segment fault, do traceback in popup window (even if GTK hosed). 
+ Change math to avoid overflow and segfault for images >40 megapixels.

2009.07.27  v.7.7.1
+ Bug fix in panorama and HDR (can cause looping).

2009.07.22  v.7.7
+ Trim function - slow dotted line drag was fixed.
+ Following functions now use parallel threads for multi-core CPUs: 
  sharpen (unsharp mask, laplacian), denoise (all 3 methods), unbend.
+ Pano and HDR have small speed improvements (28 and 14 percent).
+ Bugfix: view EXIF was broken for non-English locale.
+ Updated French translation.

2009.07.19  v.7.6
+ Updated Chinese translation.
+ Added initial Czech translation.
+ The select area function was made easier to use. This function can 
  now be suspended and resumed using a button. This frees the mouse 
  for zooming or scrolling the image during the area selection process. 
  Another button was added to show or hide the area outline while image 
  edit functions are being applied to the area.

2009.07.13  v.7.5
+ Avoid application lockup if drawing window shrunk to zero size.
+ Zoom+ button: retain current image center (feature lost in 7.4).
+ Scroll via mouse drag: reduce required mouse movement.
+ Select area: editing may be suspended and resumed later, with 
  other functions done in-between (see user guide for details).
+ Pixel edit: allow edit with large radius also at edge of image.
+ Pano prealign: do not load CPU when nothing is being done.
+ Pano auto-find lens parameters: more robust and consistent.
+ HDR and pano: avoid use of edge pixels for image alignment.
+ Fix half-broken tag search for images with no tags or dates.

2009.07.07  v.7.4.2
+ Bugfix: view brightness distribution crash

2009.07.01  v.7.4 and 7.4.1
+ A longstanding performance problem has been improved. Scrolling around
  in a large image that is zoomed to full size was quite slow. This is
  now about 4x faster. There are no scroll bars - scroll by dragging the 
  mouse across the window ("virtual" scroll bars). Old method: make a
  Gtk Layout in a Gtk Scrolled Window containing the full size zoomed 
  image. New method: copy and scale the viewable area from the full-size
  image in memory into the main/drawing window.
+ EXIF data: view basic data (short output) and all data (long output)
+ 7.4.1 fixes an error in select area line drawing

2009.06.27  v.7.3
+ The "simulate painting" function was extended. It can now work within
  an outlined area like other edit functions. Another user control was
  added: minimum color match required to consolidate smaller patches 
  of color into larger ones.
+ File drag-drop was implemented: drag a file (e.g. from Nautilus) to
  a fotoxx window or desktop launcher - file will open in fotoxx.
  You can also make a file list in gedit and drag entries to fotoxx.
+ Bugfix: EXIF keys with null data could cause spurious data
  (some RAW files observed with UserComment = null)

2009.06.24  v.7.2.1
+ GOFUNC was replaced with normal functions. GOFUNC caused compiler 
  optimization errors that are hard to find and eliminate.
+ minor bug fix in sharpen (edge detection method)
+ minor bug fix in image save - keep current image index if saved
  file goes into some other directory
+ updated French translation

2009.06.20  v.7.2
+ new function: select random images from thumbnail index, burn to CD/DVD
  (the program Brasero is used for the actual burning).

2009.06.16  v.7.1.2
Code change to fix the GCC 4.4 problem caused optimization errors in 
GCC 4.3. This is a fix which works for both.

2009.06.16  v.7.1.1
The "Arch Linux" problem turned out to be a GCC 4.4 problem.
This build relabels that one and corrects two other GCC problems.

2009.06.15  v.7.1
+ restrict number of working threads to actual CPU (core) count
+ process multiple RAW files specified with wildcard template (e.g. *.RAW)
+ work-around for Arch Linux language issue
+ French translation update

2009.06.11  v.7.0
+ new function: simulated painting
+ new function: create desktop icon/launcher
+ the very long edit menu was divided into 6 menus
+ new help menu entry: show fotoxx Internet home page
+ escape key can be used to exit show RGB mode
+ color depth: scale-up truncated brightness range to full range
+ color depth: round color value up if truncated part > 0.5
+ Bugfix: search tags: find images with no tags did not work

2009.06.02  v.6.9.3
+ translation updates for French, Spanish, and Galician

2009.05.22  v.6.9.2
+ Bugfix: generate tags & thumbnail index failed if input directory 
  contained a blank.

2009.05.19  v.6.9.1
+ diagnostic message in popup window if exiftool or ufraw is missing

2009.05.18  v.6.9
+ simulated embossing also in color - creates a 3D look.
+ Bugfix: crash with unusual red-eye case.

2009.05.14  v.6.8
+ More powerful image "tune" function: adjustment of color intensity, 
  saturation, and RGB balance can optionally depend on pixel brightness
  (e.g. increase saturation for darker image areas more than brighter).
+ new function "tiles" - transform image or area into tiles (pixelate).
+ improved paint function user interface.
+ Bugfix: edit of auto-uprighted image: un-rotate before edit.
+ Bugfix: crash if "redo" button pressed in rapid succession.
+ Bugfix: memory leak from multiple edits on one image

2009.05.08  v.6.7.3
+ Updated translations for Spanish and Galician.

2009.05.07  v.6.7.2
+ Use GdkPixbuf for saving jpeg files instead of libfreeimage. This gives 
  better results and allows quality 1-100 instead of good/better/best.

2009.05.05  v.6.7.1
+ keep the same extension when an edited image file is saved, as long
  as it fits with the saved file type. Accepted extensions for jpeg:
  .jpg .JPG .jpeg .JPEG   and for tiff: .tif .TIF .tiff .TIFF.
+ change package naming scheme to fotoxx-N.N-i686.deb

2009.05.03  v.6.7
+ new function: make simulated drawing from photo image
+ new function: make simulated embossing of photo image
+ new function: paint - edit pixels and draw lines
+ Bugfix: show RGB was inaccurate in some cases

2009.04.28  v.6.6.1
+ handle images with 1 or 8 bits/pixel (black & white drawings)

2009.04.27  v.6.6
+ search images using wildcard path*/file* in addition to tags
+ search images by tags: tags may have wildcards
+ Bugfix: stop crash if long-running function canceled more than once
+ Bugfix: save image as TIFF-48 bits/pixel was producing TIFF-24.
+ image search dates: default missing from/to date to year 0/9999
+ look for and delete orphaned undo-stack files

2009.04.23  v.6.5
+ ufraw command syntax changed, fotoxx now tries both methods
+ dependencies.sh changed to tolerates more Linux chaos ("choice")
+ Bugfix: undo stack corruption when running 2+ fotoxx instances
+ internal code cleanup - image bitmaps are now struct RGB

2009.04.07  v.6.4.3
+ edit < 24 bits/pixel: message: save as jpeg or tiff to edit
+ Bugfix: segfault: attempt to edit file with no extension

2009.04.04  v.6.4.2
+ Bugfix: unable to edit non-jpeg file with alpha channel

2009.04.03  v.6.4.1
+ intercept segment faults and show which image file has the problem
  (possible malformed meta-data causing FreeImage to crash)
+ Bugfix: panoramas of very small images could not pre-align
+ some speedup of sequential image viewing (slide show "next" key)

2009.04.01  v.6.4
+ scrollbars are "virtual" - scroll by dragging mouse across image
+ directory mods from outside fotoxx are detected and file list updated
+ edit menu is segmented into groups without using sub-menus
+ blur function made much faster for multi-core processors
+ Bugfix: pano color shift for images with big brightness difference
+ Bugfix: show RGB function not working within some edit functions

2009.04.01  v.6.3
+ progress feedback for long-time functions blur, sharpen, denoise
+ blur: exclude mixing of pixels from outside a selected area
+ blur: radius range expanded from 19 to 99
+ reduced mutex locking, less screen update latency
+ invert select area is much faster
+ Bugfix: warp image undo button did not remove the first warp
+ Bugfix: memory leak in select area
+ Bugfix: unbend wrongly initialized with prior data
+ Bugfix: open RAW file gave spurious error message

2009.03.15  v.6.2
+ Bug fix: for edit sequence pano, tune, pano: 2nd pano failed
  because pano first-time setup data was destroyed by tune.
+ Add window pan/scroll using mouse drag.
+ New menu function to change the current language.
+ Internal simplification of edit transactions and bitmaps.
+ More edit functions use fast preview: color_depth, rotate, unbend.
+ Select area: change to full-size bitmaps while preserving edits.
+ Several other minor improvements and bug fixes.

2009.03.14  v.6.1.3
+ Translation updates for Chinese (PRC) and French.

2009.03.12  v.6.1.2
+ Bug fix: Zoom out, right-click state was not being reset.
+ Bug fix: rotate [undo] was killing the dialog.
+ Bug fix: RGB function, right-click state was not being reset.
+ Bug fix: pano 3rd image sometimes has alignment error

2009.03.06  v.6.1.1
+ Update translations - fr de
+ Minor bug fix

2009.03.01  v.6.1 (major change)
+ Edit and save jpeg files or tiff files with 24 or 48 bits/pixel.
+ Read and edit most RAW files from digital cameras.
+ All image editing is done with 48 bits/pixel (16 bits/color).
+ Better GUI for brightness distribution and HDR weight adjustment
  (editable spline curves instead of a row of sliders).
+ Rotated images are automatically turned upright (based on EXIF).
+ Level a tilted image by dragging right edge with the mouse.
+ Undo/redo memory moved to disk, limit raised to 50 edit steps.
+ Only two parameters to set for panorama: lens_mm and lens_bow.
+ One function to sync both image thumbnails and tags.
+ Rename a series of files with base name + sequence number.
+ Global warp: distort image to fix perspective problems.
+ More information in the text file: fotoxx-6-notes.

2009.02.17  v.5.10.5
+ Following changes come via function library zfuncs rather than fotoxx.
+ Translations - handle .po file locales with only language code ("de") 
  or both language and region code ("de_AT"). Both may be present, so 
  that regional translations can be reduced to exceptions, if desired.
+ minor speedup in rotate function

2009.01.28  v.5.9 5.10
+ minor bug fixes: m_open(), m_prev(), mod_keep(), m_warp()
+ remove unnecessary window clear operation
+ minor speedups in image blur and noise-reduction functions
+ make unselect_area() available as menu function
+ updated Spanish and Galician translations

2009.01.01  v.5.8
+ Visual feedback for brightness/contrast/color edits was made faster by 
  using the window image instead of the (usually much larger) main image.
  The main image is updated when the changes are committed.
+ Erratic mouse drag in warp function was fixed.
+ Color balance was separated from brightness/whiteness adjustments.
+ Bug fix: last translation in a .po file sometimes got comment appended.
+ Sharpen, blur and noise reduction, when applied within an image area, 
  can now use "blend width" to soften the boundaries.
+ Added a modified "top hat" noise reduction method, which is more
  effective for some types of noise.
+ Zoom- returns to normal display at once instead of many steps

2008.12.01  v.5.7
+ invert selected area: subsequent edits modify all but the selected area
+ tags edit: assign "star" rating to images, search by star rating
+ translation system converted to use Gnu gettext (the Linux norm)
+ user guide reorganized to be more friendly to the RTFM inhibited
+ added auto-crop button to rotate
+ corrected minor bug in color-intensify function
+ slow mouse tracking fixed (crop and select on notebooks)

2008.11.18  v.5.6.1
+ use smaller thumbnail in preview and none if folder selected
  (be more friendly to smaller monitors)

2008.11.10  v.5.6
+ Greek translation is available
+ new function to intensify color without changing brightness
+ search images by date range (in addition to tags/keywords)
+ save and restore window and thumbnail size across sessions
+ ask for confirmation if a read-only image is moved to trash
+ color edit functions now work with select area and blend width
+ fixed tag edit bug when using old version of exiv2 (Ubuntu 6.06)
+ a few minor bug fixes and interface improvements

2008.11.01  v.5.5
+ red-eye methods consolidated and improved (not perfect, to be continued)
+ remember last image opened in prior session and return there
+ internal improvements for robustness and maintainability
+ mouse functions made more responsive for slower CPU case
+ minor improvements in user messages

2008.10.12  v.5.4.1
+ Bugfix: select area may lose the last polygon point
+ Bugfix: brightness distribution graph wrong if area selection used
+ Bugfix: brightness/color edit dialog becomes non-responsive

2008.10.08  v.5.4
+ crop dialog: show cropped image dimensions and ratio as mouse moves
+ new red-eye removal function: 1-click and red-eye is gone
+ flatten brightness distribution: added bar-chart of distribution

2008.09.28  v.5.3.1
+ minor changes in menus and user guide

2008.09.18  v.5.3
+ make pre-align easier for panorama images having relative rotation
+ when zooming in/out, retain current image position at center

2008.09.08  v.5.2.4
+ restore missing folder icon in thumbnail index window

2008.09.08  v.5.2.3
+ save both current and top image directories on exit, recover on startup 

2008.09.06  v.5.2.2
A few minor nuisances were cleaned up:
+ stop spurious line to upper left corner in select area
+ stop jump to file + 2 when a file is trashed
+ popup "computing" message when long time to respond is needed
+ stop thumbnail window coming to foreground when not requested

2008.09.03  v.5.2.1
+ fix bug in Laplacian sharpen causing slight image darkening.
+ fix bug in select area: refused to exit if an edit function was active.

2008.09.01  v.5.2
+ Add image print capability using sister application printoxx.
      http://kornelix.squarespace.com/printoxx

2008.08.25  v.5.1.1
+ Updates for Spanish and Galician translations
+ Fix compiler warnings in earlier versions of gcc

2008.08.24  v.5.1
+ Added a capability to store image tags or keywords and search images 
  by tags. Tags are stored inside the image EXIF data.
+ Bug fix in select area function (drawing in zoomed window).
+ Image resize uses a higher-quality scaling algorithm (minor impact).
+ Fix crash in noise-reduction (selected image area abuts image edge).
+ If window is destroyed and modifications are not saved, query user.
+ Additional algorithms: two for noise reduction, one for sharpen.
+ More keyboard shortcuts, better documented.
+ Dialogs in KDE no longer get hidden behind main window.

2008.08.08  v.5.0.1
+ fix bug causing window lockup in crop function on single CPU systems

2008.08.03  v.5.0
+ Added scroll bars to more easily view and pan large images.
+ Zoom in/out via toolbar buttons, L/R-mouse clicks, or +/- keys.
+ Status bar: added current zoom % image size.
+ Added slide show mode to Admin menu (exit with escape key).
+ Converted user guide from PDF to HTML, with outboard images
    - translations share image files to save space
    - PDF viewer no longer needed by fotoxx
    - uses xdg-open to find preferred viewer for HTML file
+ Stretch function renamed to Warp 
+ Select Area is now a separate function usable with all edit functions
+ Corrected minor bug in blur function
+ Corrected lockup bug when dialogs killed while function still busy
+ Minor enhancement of noise-reduction function

2008.07.10  v.4.9
+ The user manual was translated into French.
+ New function: automatically flatten brightness distribution 0-100%.
  (fast method to bring out detail in areas of low contrast).
+ Fix freezup if another function started during HDR/panorama processing.
+ Reload most recently used image directory when starting up.
+ An "uninstall" rule was added to the Makefile
+ New command line argument: -l xx where xx = language code (en de fr es)

2008.07.06  v.4.8
+ The thumbnail index window functionality was expanded to better handle 
  hierarchical directories of image files organized by date, subject, etc.
+ The Create Thumbnails menu function now processes all sub-directories 
  at all levels within the selected image directory.

2008.06.14  v.4.7
+ prevent dialogs from continuing active after kill button is used
  to stop originating function.

2008.06.06  v.4.6
+ improved (and slower) image sharpen edge-detection algorithm
+ French translation added

2008.05.26  v.4.5
+ added a second image sharpen algorithm - unsharp mask method
+ image sharpen - add optional area selection using mouse
+ image blur function added, also with optional area selection
+ add preview image to file open dialog
+ changed from build script to traditional makefile 
+ changed name from fotox to fotoxx 

2008.05.25  v.44
+ updated Spanish translation
+ keyboard I-key displays thumbnail index, also in slide show mode
+ in thumbnail index window, KB keys now mapped to various functions
+ better status feedback for long computations (e.g. sharpen)

2008.05.21  v.43
+ pano color matching revised:
   - both images adjusted 50/50 instead of right image only
   - dialog button to enable or disable auto matching
+ vary color intensity from black/white to normal to intensified
+ thumbnail file naming changed to use same name as image file
  (please delete old thumbnail files and regenerate using Admin menu)
+ trash function changed to use Desktop folder for discarded images
  (Linux has no standard location for trash folder)

2008.05.15  v.42
+ ignore redundant mouse events during image panning, avoid X11 crash
+ improve mouse interface for area selection (tune, stretch)
+ expand allowed range for image unbend axes

2008.04.20  v.41
+ code changes for compatibility with recent gcc, c-lib, and GTK2
+ add slide show mode: full screen with no menu and tool bars
+ HDR and tune: image updates are more responsive to slider adjustments
+ new menu function: generate thumbnails on disk (speeds up navigation)
+ stretch: area selection is arbitrary polygon instead of ellipse
+ rotate 90 degrees via keyboard: not an edit, needs no "discard mods?" 
+ added help functions to display README and changelog files

2008.04.16  v.40
+ added toolbar buttons to set image size (1x/2x/fit window) 
+ added monitor check function
+ avoid creation of new log file with each program startup

2008.04.12  v.39 v.39b
+ better quality image sharpen function
+ panorama unbend: horizon height and angle are adjustable
+ clone function: button to start another fotox instance 
  (you can have N images on screen with all functions enabled)
+ fix bug in sharpen function   v.39b

2008.04.06  v.38
+ Spanish translation for GUI was added (thanks, Antonio).
+ Added function to stretch/distort selected image areas.
+ Added function to sharpen fuzzy edges in image.
+ Added function to reduce noise in low-light photos.
+ Added function to set color depth, 1-8 bits per color.

2008.03.10  v.37
+ Tune area: reduce blend width to zero as pixel reaches image edge.

2008.02.20  v.36
+ Brightness and color edits can be done for a selected image area,
  outlined with the mouse. The edits are blended for smooth transition.
+ Preview images have been removed and the GUI simplified (main image
  updates are fast enough).

2008.01.29  v.35
+ separate build scripts for downloaders and package builders.
+ code changes to get application directories from build script.
+ "parameters.txt" renamed to "parameters", please rename your file.
+ German document "Schnellstart Anleitung" is available.

2008.01.01  v.34
+ multiple language capability for GUI, German translation done.
+ build script allows user choice of install location and desktop launcher.
+ fix crash after attempting to open a non-image file type.

2007.12.10  v.33
+ fix more problems with file having alpha channels (cannot rotate).
+ code cleanups for 64-bit architecture compatibility.

2007.12.04  v.32
+ handle .png and .tiff images with alpha channels.
+ prevent drag of red-eye removal circle beyond edge of image (crash).
+ small improvements in pano alignment and stretching algorithms.
+ new unbend function: remove curvature apparent in some panorama images.
+ new auto lens function: find pano lens_mm and lens_bow automatically.

2007.11.17  v.31
+ view and propagate EXIF data (optional, if package  exiv2  is installed).

2007.11.15  v.30
+ remove code to inhibit re-entrance in tune and HDR preview dialog event 
  functions (now prevented in zdialog_event function)
+ new GTK requirement: if (! g_thread_supported()) g_thread_init(0);

2007.11.11  v.29  
+ fix HDR locale bug for non-English locales

2007.11.09  v.28
+ HDR: contribution from each image can be adjusted independently 
  for 8 brightness bands
+ HDR: preview window with live feedback when sliders are adjusted
+ pano: fixed math error in image curving 
  (images can now fit better over a greater width)
+ pano: input lens focal length instead of synthetic curve factors
+ pano: bow factor is % of image size instead of pixels
+ disallow input images having an alpha-channel (transparency)
+ user can determine the quality vs compression for JPG output files

2007.10.10  v.27
+ better recovery if an image file is removed from elsewhere after fotox 
  already read the directory
+ speedup of y-stretch algorithm (benchmark reduced from 40 to 33 seconds)
+ red eye reduction function was added
+ "comp" renamed to "HDR" (the popular name for this method)
+ toolbar split into two toolbars to make more room
+ images are displayed in the center of the window instead of top left

2007.09.25  v.26
+ convenience buttons for tune function: undo / redo / apply / reset 
+ set window name to current file name / directory, remove from status bar
+ fix memory leak in undo/redo functions
+ better saturation prevention in pano automatic color matching

2007.09.20  v.25
+ comp and pano: images are aligned using high-contrast "edge" pixels 
  instead of random pixels, allowing a reduction in pixels sampled and a 
  corresponding increase in speed.
+ pano_image_stretch parameter can be 0 (no stretch) or a stretch range
+ tune now has a preview window which is updated in real-time with sliders

2007.08.28  v.24
+ added redo button / function.  undo / redo depth expanded to 20.
+ file size (megabytes) shown in status bar.
+ jump to new image directory and file from navigation window
+ change thumbnail size and quantity displayed in navigation window

2007.08.20  v.23
+ Panorama image alignment improved for images made with wide-angle lenses.
+ Parameters for alignment search range and step size are no longer needed.
+ Panorama and HDR: image alignment is slightly more accurate.
+ Crop: show new image pixel size in the status bar as margins are moved.
+ Fixed locale bug affecting resize command for non-English systems.

2007.08.12  v.22
+ Panorama: separate x / y curve factors (significant for wide-angle lenses)
+ Crop function made easier to use: mouse click or drag to change region.
+ Detect and update "stale" thumbnails (file updated after thumbnail created).
+ New icons for thumbnail navigation window (thanks to Jan).
+ Parameters have changed (review parms function in user guide)

2007.08.01  v.21
+ Cool new icons complements of Jan.
+ Optional thumbnail caching on disk: 5x faster for big directories

2007.07.22  v.20
+ Improved comp and pano alignment algorithm: pixel brightness differences 
  are matched using a 64 bin distribution per color. This allows a smaller 
  sample size and faster execution.
+ Improved color matching in pano: the distributions per color of the 
  overlapped image areas are matched, instead of only the brightnesses. 
+ Added a "reset" convenience button to the tune function (thanks, Jan).
+ A mouse-click on an image causes that region to display full size.

2007.07.11  v.19
+ added thumbnail index window to navigate directories with many image files

2007.07.05  v.18   v.18b
+ L and R keys can be used to rotate an image -90 or +90 degrees
+ for image file name on the command line, -f is now optional
+ (v.18b) correct bad zmalloc length for command line files 

2007.07.04  v.17
+ follow Linux convention for application files in /home/username/.fotox/
+ added keyboard mappings for the buttons prev, next, and trash.
+ allow show/hide of hidden files in parameter open/save dialog
+ new command line option: -f <initial image file>

2007.06.13  v.16
+ added status bar progress indicator for comp and pano
+ new parameter: comp_prealign_size = initial size for image alignment
+ improved method for sampling pixels during image alignment
+ reduced default pixel sample from 200K to 100K (comp and pano speedup)
+ bug fix: failed to find parameter file if current directory not 
  execution directory
+ added command line options to specify image directory and parameters file
+ made improvements in user guide

2007.06.04  v.15  v.15b
+ add resize function
+ add trash function (move file to trash can)
+ undo increased from 1 to 10 previous states
+ correct crash if crop is attempted with no area selected
+ correct hang if window destroyed and modified image retained (15b)

2007.05.26  v.14  v.14b
+ tune dialog: add buttons to move all sliders together
+ better toolbar icons
+ correct crash with rotate undo (v.14b)

2007.05.24  v.13
+ add the crop function (crop images)
+ add the rotate function (rotate images)
+ add prev/next buttons for directories with many image files

2007.05.20  v.12
+ combine brightness and color adjustment in the same dialog for 
  simplicity and flexibility

2007.05.13  v.11
+ convert from menu/toolbar macros to zfuncs functions
+ bug fix: pano crash when two images have different heights
+ pano - add interactive compensation for barrel and pincushion distortion
+ pano - simpler pre-alignment algorithm

2007.03.19  v.10
+ corrected bug affecting panorama alignment when 3rd image is added
+ added parameter to compensate for optical "barrel" distortion and 
  improve image fit

2007.03.05  v.09
+ comp and pano image alignment algorithm reworked for speed and accuracy
+ xfog - increase magnitude of effect
+ pano no longer crops in the vertical dimension, since this prevents 
  addition of an additional image to the ones already joined
+ adjustable parameters moved from program constants into a GUI editor

2007.02.19  v.08
+ comp - correct bug when scaling up from small to full-size images
+ xlev - simpler method of calculating revised brightness levels

2007.02.10  v.07  
+ comp and pano - faster alignment using small images for initial stage
+ pano - pre-alignment rotation to cancel rotation in the input images
+ pano - transparent image overlap area for easier alignment
+ pano - images can be curved as needed for more precise alignment
+ pano - auto cropping of final image

2007.01.30  v.06
+ panorama - allow unequal size images
+ panorama - allow 3 or more images to be joined in stages
+ panorama - variable blending of images to suppress color imbalances

2007.01.28	v.05  panorama alignment - improved algorithm, visual feedback
2007.01.22	v.04  added panorama function
2007.01.15	v.03  bug fix, segmentation fault 
2007.01.08	v.02  added composite image function
2007.01.01	v.01  initial release, with defog and change exposure level



